Subject: Re: bug#10056: 24.0.91; `copy-to-register' does not deactivate the mark

From: Chong Yidong <[email-masked]>
Date: Sun, 29 Jul 2012 12:45:51 +0800

Dani Moncayo <[email-masked]> writes:

> Ping (again).
>
> Summing up, I find annoying that the following commands currently
> don't deactivate the mark at the end (when invoked in transient mark
> mode, when the mark is active):
>   copy-to-register
>   copy-rectangle-to-register
>   kill-rectangle (from a read-only buffer)
>
> and I've found a couple more:
>   narrow-to-region
>   c-indent-line-or-region (when the region is already well indented)

Thanks for the remider.  I've changed copy-to-register and
copy-rectangle-to-register to deactivate the mark.

I left prepend-to-register and append-to-register alone for now; there
may be cases where users want to keep the mark active for those
commands, but I'm not certain.

As for C-x r k on read-only buffers, the mark is now deactivated, but
only if kill-read-only-ok is non-nil (similar to C-w).